CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions | Variables
Test_Support.h File Reference
`#include "CSL_Includes.h"`
`#include "PAIO.h"`

Go to the source code of this file.

## Macros
#define | USE_PAIO
#define | IO_CLASS PAIO

## Functions
void | runTest (UnitGenerator &vox, double dur)
void | runTest (UnitGenerator &vox)
void | dumpTest (UnitGenerator &vox)

## Variables
IO_CLASS * | theIO

## Macro Definition Documentation

#define USE_PAIO

Definition at line 11 of file Test_Support.h.

#define IO_CLASS PAIO

Definition at line 27 of file Test_Support.h.

## Function Documentation

void runTest | ( | UnitGenerator & | vox,
|  | double | dur
| ) |  |

Definition at line 54 of file Test_Support.cpp.

References csl::sleepSec(), and theIO.

Referenced by dumpAMFMSin(), echo_test(), filt_test(), mic_test(), panner_test(), runTest(), test50RandFreqEnv(), test_ifft(), test_SHARC(), test_SHARC2(), test_vector_ifft(), testADSR2(), testADSR_FM(), testAMFMEnvs(), testAMFMSin(), testARSin(), testARSin2(), testBasicWaves(), testBigPanMix(), testBlockDownsizer(), testBlockUpsizer(), testClipper(), testCMapIO(), testComplexEnvelope(), testDynamicFilters(), testDynamicMixer(), testDynamicVoice(), testEnvScale(), testFancy_FM(), testFancyFMInstrument(), testFanMix1(), testFanMix2(), testFilters(), testFIR(), testFMInstrument(), testFrequencyEnv(), testGliss(), testGrainCloud(), testManyRandSOS(), testMonoFilePlayer(), testN2MPan(), testNDynamicFilters(), testNoises(), testOscBank(), testPan(), testPanMix(), testRandFreqEnv(), testSAFilter(), testScaledSin(), testSimpleSines(), testSineMixer(), testSndFileInstrument(), testSOSInstrument(), testSplitJoin1(), testSplitJoin2(), testStereoFilePlayer(), testString(), testSumOfSines1F(), testSumOfSinesCached(), testSumOfSinesNonCached(), testSumOfSinesSteps(), testSweep(), testSwell(), testWaveShaper(), testWaveTableFromFile(), and testWavetableInterpolation().

void runTest | ( | UnitGenerator & | vox | ) |

Definition at line 64 of file Test_Support.cpp.

References runTest().

void dumpTest | ( | UnitGenerator & | vox | ) |

Definition at line 70 of file Test_Support.cpp.

References csl::UnitGenerator::dump(), and theIO.

Referenced by dumpAMFMSin().

## Variable Documentation

IO_CLASS* theIO

Definition at line 29 of file Test_Support.cpp.

Referenced by dumpTest(), echo_test(), filt_test(), mic_test(), panner_test(), runTest(), test_Ambi_horiz(), test_Binaural_horiz(), test_Binaural_vertAxial(), test_Binaural_vertMedian(), test_SimpleP(), test_VBAP_horiz(), testMultiTap(), testReverb(), testSndFileBank(), testSoundFileTranspose(), testStereoverb(), and testStringChorus().